Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 93815 - API for querying the mapping of resource reference names to JNDI names
API for querying the mapping of resource reference names to JNDI names
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: Code
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Libor Kotouc
issues@javaee
: API
Depends on: 101332 101337 101344
Blocks: 89438 96858 99070
  Show dependency treegraph
 
Reported: 2007-02-01 14:43 UTC by Andrei Badea
Modified: 2007-04-26 18:09 UTC (History)
5 users (show)

See Also:
Issue Type: TASK
:


Attachments
j2eeserver changes v1 (39.88 KB, patch)
2007-03-26 11:10 UTC, Libor Kotouc
Details | Diff
j2ee/ejbcore changes v1 (17.99 KB, application/octet-stream)
2007-03-26 11:10 UTC, Libor Kotouc
Details
j2ee/ejbcore changes v1 (17.99 KB, patch)
2007-03-26 11:10 UTC, Libor Kotouc
Details | Diff
serverplugins/jboss4 changes v1 (56.04 KB, patch)
2007-03-26 11:11 UTC, Libor Kotouc
Details | Diff
merge1 diff (171.05 KB, patch)
2007-04-05 16:46 UTC, Libor Kotouc
Details | Diff
merge1 log (10.73 KB, text/plain)
2007-04-05 16:47 UTC, Libor Kotouc
Details
API for Call EJB use case (7.24 KB, patch)
2007-04-15 17:05 UTC, Libor Kotouc
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei Badea 2007-02-01 14:43:52 UTC
Currently in NetBeans there is no distinction between resource reference names
and JNDI names. This can lead to errors when the two names are different.
Comment 1 Petr Jiricka 2007-02-16 13:47:36 UTC
Assigning to Libor.
Comment 2 Libor Kotouc 2007-03-26 10:45:42 UTC
1.
The implementation is placed on the branch created from ddbean_removal branch:

-root tag: resource-api-redesign_root
-branch tag: resource-api-redesign
-modules: j2eeserver, j2ee/ejbcore, serverplugins/jboss4

2. 
The following modules must be checked out first from ddbean_removal branch:
j2ee, serverplugins, tomcatint, web/project, j2eeserver, websvc

3.
UI doesn't exist yet, the client code calling new API is placed in
UseDatabaseAction, UseDatabaseGenerator and MessageEJBWizard classes. To enable
the client code, NB must be run with the option -J-Dresource-api-redesign.
Comment 3 Libor Kotouc 2007-03-26 11:10:21 UTC
Created attachment 39932 [details]
j2eeserver changes v1
Comment 4 Libor Kotouc 2007-03-26 11:10:47 UTC
Created attachment 39933 [details]
j2ee/ejbcore changes v1
Comment 5 Libor Kotouc 2007-03-26 11:10:53 UTC
Created attachment 39934 [details]
j2ee/ejbcore changes v1
Comment 6 Libor Kotouc 2007-03-26 11:11:26 UTC
Created attachment 39935 [details]
serverplugins/jboss4 changes v1
Comment 7 Libor Kotouc 2007-04-05 16:39:22 UTC
Updated list of modules which are on the resource-api-redesign branch:

j2eeserver, j2ee/ejbcore, serverplugins/jboss4, serverplugins/sun/appsrv81,
tomcatint/tomcat5.
Comment 8 Libor Kotouc 2007-04-05 16:43:42 UTC
Changes between resource-api-redesign_root and resource-api-redesign_merge1 were
integrated into trunk, see the attached trunk diff and CVS log.

The changes cover 'Use DB', 'Create MDB' and 'Send JMS Messages' use cases.
Comment 9 Libor Kotouc 2007-04-05 16:46:34 UTC
Created attachment 40508 [details]
merge1 diff
Comment 10 Libor Kotouc 2007-04-05 16:47:29 UTC
Created attachment 40509 [details]
merge1 log
Comment 11 Libor Kotouc 2007-04-12 15:08:57 UTC
The core motivation/design document for this issue:
http://wiki.netbeans.org/wiki/view/ResourceReferenceBinding

Plugin requirements and UI specs are also linked.
Comment 12 Libor Kotouc 2007-04-15 17:03:17 UTC
API for EJB resources added into trunk - 'Call EJB' action/use case.

See the attachment for details (j2eeserver-call_ejb_action_api.diff).
Comment 13 Libor Kotouc 2007-04-15 17:05:15 UTC
Created attachment 40932 [details]
API for Call EJB use case
Comment 14 Libor Kotouc 2007-04-23 14:05:48 UTC
EJB-related API calls enabled.

Checking in
j2ee/ejbcore/src/org/netbeans/modules/j2ee/ejbcore/ui/logicalview/entres/CallEjbDialog.java;
/cvs/j2ee/ejbcore/src/org/netbeans/modules/j2ee/ejbcore/ui/logicalview/entres/CallEjbDialog.java,v
 <--  CallEjbDialog.java
new revision: 1.10; previous revision: 1.9
done

Comment 15 Petr Jiricka 2007-04-26 15:00:26 UTC
The APIs themselves are implemented, marking as FIXED. No additional APIs are
planned for NB 6. There are some followup tasks that need to be completed though
- implementation of the UI and implementation in the server plugins. See issue
102138 and issue 102134.
Comment 16 Petr Jiricka 2007-04-26 18:09:23 UTC
Also issue 96858.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo